=== src/pkg/maemo/debian/control ===
Source: abiword
Section: user/office
Priority: optional
Maintainer: Tomas Frydrych <tf@o-hand.com>
Uploaders: Tomas Frydrych <tf@o-hand.com>
Build-Depends: debhelper (>> 4.0.0), libfribidi-dev, libglib2.0-dev, libgtk2.0-dev, libjpeg62-dev, libpng12-dev, libreadline4-dev
Standards-Version: 3.6.1

Package: abiword
Section: user/office
Architecture: any
Depends: ${shlibs:Depends}
Description: AbiWord is a free word processing program. It is suitable for a wide variety of word processing tasks.
